Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl
Summary: Add support for intranetuserjs to labels/spinelabel-print.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Kyle M Hall
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 10850
  Show dependency treegraph
 
Reported: 2013-02-15 15:23 UTC by Kyle M Hall
Modified: 2014-05-26 21:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl (1019 bytes, patch)
2013-02-15 15:28 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl (1019 bytes, patch)
2013-02-15 15:30 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl (1020 bytes, patch)
2013-02-15 16:52 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl (1.33 KB, patch)
2013-02-27 13:06 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl (2.50 KB, patch)
2013-03-18 19:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9618: Followup Add support for intranetuserjs to labels/spinelabel-print.pl (1.29 KB, patch)
2013-05-27 13:58 UTC, Jonathan Druart
Details | Diff | Splinter Review
Signed Off: 16306: Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl (2.53 KB, patch)
2013-08-28 04:31 UTC, Campbell Reid-Tait
Details | Diff | Splinter Review
Signed Off: 18416: Bug 9618: Followup Add support for intranetuserjs to labels/spinelabel-print.pl (1.36 KB, patch)
2013-08-28 04:32 UTC, Campbell Reid-Tait
Details | Diff | Splinter Review
[PASSED QA] Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl (2.62 KB, patch)
2013-09-10 06:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9618: Followup Add support for intranetuserjs to labels/spinelabel-print.pl (1.62 KB, patch)
2013-09-10 06:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2013-02-15 15:23:15 UTC

    
Comment 1 Kyle M Hall 2013-02-15 15:28:15 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2013-02-15 15:30:31 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-02-15 16:52:15 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2013-02-26 17:41:38 UTC
This patch has no commit message, thus no description of its purpose and no test plan.
Comment 5 Kyle M Hall 2013-02-27 13:06:03 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2013-03-18 19:25:50 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2013-05-27 13:58:35 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2013-05-27 13:59:26 UTC
I think the jQuery lib should only be include if user had defined js code.

Owen, could you confirm that please?
Comment 9 Owen Leonard 2013-05-30 19:20:06 UTC
> I think the jQuery lib should only be include if user had defined js code.

That makes sense to me.
Comment 10 Campbell Reid-Tait 2013-08-28 04:31:58 UTC Comment hidden (obsolete)
Comment 11 Campbell Reid-Tait 2013-08-28 04:32:50 UTC Comment hidden (obsolete)
Comment 12 Katrin Fischer 2013-09-10 06:35:58 UTC
Created attachment 20930 [details] [review]
[PASSED QA] Bug 9618 - Add support for intranetuserjs to labels/spinelabel-print.pl

The template for printing a single spine label is a stripped-down
version of a standard Koha template, but it should include
intranetuserjs and IntranetUserCSS so that libraries can make local
customizations.

This patch updates the page's DOCTYPE to HTML5 and adds the missing
markup for including those preferences. Also added is jQuery, since
there's a good chance local customizations are using jQuery.

To test, make sure there is something in your intranetuserjs and
IntranetUserCSS system preferences. Visit
/cgi-bin/koha/labels/spinelabel-home.pl and submit a barcode. View
source on the spine label output page and confirm that your custom js
and css were included correctly.

Signed-off-by: Campbell Reid-Tait <campbellreidtait@gmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Template only change, works nicely.
Comment 13 Katrin Fischer 2013-09-10 06:36:52 UTC
Created attachment 20931 [details] [review]
[PASSED QA] Bug 9618: Followup Add support for intranetuserjs to labels/spinelabel-print.pl

the jQuery lib is useful only if js code is filled into the
intranetuserjs pref.

Signed-off-by: Campbell Reid-Tait <campbellreidtait@gmail.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

To test:
- Use Quick spine label creator
- Make sure you have Javascript in your intranetuserjs system
  preference
- Validate Javascript effect on screen or check source code
  to make sure your code is visible there.
Comment 14 Galen Charlton 2013-09-16 16:07:17 UTC
Pushed to master.  Thanks, Owen!
Comment 15 Tomás Cohen Arazi 2013-11-07 17:55:11 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Owen!